import { Component, OnInit, Input } from '@angular/core';
import { Exercise } from '../shared/model/exercise.model';
import { Person } from 'app/shared/model/person.model';

@Component({
  selector: 'jhi-exercise-details',
  templateUrl: './exercise-details.component.html',
  styleUrls: ['./exercise-details.component.scss'],
})
export class ExerciseDetailsComponent implements OnInit {
  @Input() exercise: Exercise | undefined;

  constructor() {}

  ngOnInit(): void {}

  public getPersonName(person: Person): string {
    return person.name;
  }

  public arrayToString(array: string[]): string {
    let result = '';
    array.forEach(element => {
      result += element + '<br>';
    });
    return result;
  }
}
